/*
 Theme Name:   JogKalauz Child
 Theme URI:    https://jogkalauz.hu/
 Description:  Default GeneratePress child theme
 Author:       Barta András
 Author URI:   https://theclick.hu/
 Template:     generatepress
 Version:      0.1
*/

/* page and post text and list link style */
.content-area :is(p, li ) a {
  font-weight: 500;
  color: var(--accent);
  box-shadow: inset 0 -0.1em 0 0 var(--accent);
  transition: all 0.6s ease 0s;
}
.content-area :is(p, li ) a:hover {
  box-shadow: inset 0 -0.2em 0 0 var(--accent);
}

/* sidebar categories list style */
.wp-block-categories {
  list-style: none;
  margin-left: unset;
}

/* drop sidebar below content on tablet */
@media (max-width: 1024px) {
  .site-content {
    flex-direction: column;
  }

  .site-content .content-area,
  .site-content .is-right-sidebar {
    width: 100%;
  }
}

/* space before a new title on blog posts */
.single-post :is(p, ul, ol) + :is(h2, h3, h4) {
  margin-top: 3rem;
}

/* wp search block style */
.wp-block-search__button.has-icon {
  background-color: var(--accent);
  border-radius: 2px;
  transition: all 0.5s ease 0s;
}

.wp-block-search__button.has-icon:hover {
  transform: translate3d(0px,-3px,0px);
  transition: transform 0.5s ease 0s;
}

.wp-block-search__button svg {
  min-height: 1.6em;
  min-width: 1.6em;
  vertical-align: text-bottom;
}